cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Vadim Gritsenko <va...@reverycodes.com>
Subject Re: Removing groovy
Date Thu, 17 Jun 2004 12:22:51 GMT
Steven Noels wrote:

> On 17 Jun 2004, at 12:53, Gianugo Rabellino wrote:
>
>> Bottom line: unless we leverage a major JDK1.4 advantage (which AFAIK 
>> is not the case in the current codebase), I'd be -1 to a version 
>> upgrade.
>
>
> How can we leverage what can't be adopted? ;-)
>
>>  Groovy in itself it's just not enough to justify cutting out JDK 
>> 1.3. users.
>
>
> +0.5 on that one - I was just trying to make a general point. 1.3 has 
> been released eons ago.


AFAIU, IBM product line got moved to JDK1.4 sometime in 1Q this year, 
which means that people who started development / deployment last year, 
will use some IBM products with JDK1.3. It will take them another year 
or so to upgrade.

BEA went with JDK1.4 sometime last year, IIRC, with the release of 
WebLogic 8. I bet there are still number of 6.x or 7.x deployments out 
there.

To conclude, it's too early to drop JDK1.3 support in 2.1.6. And if we 
won't continue 2.1.x line, 2.2 also might be too early for dropping 
JDK1.3 support.


PS I've not heard news about SVN move. Shall we start a branch or wait 
some more for SVN?

Vadim


Mime
View raw message